- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
- SEE ALSO
- COPYRIGHT AND LICENSE

# NAME

Pegasus::DAX::InvokeMixin - base class.

# SYNOPSIS

This is a constructor-less base class. You do not instantiate it.

# DESCRIPTION

This class provides and thus implements dealing with Pegasus::DAX::Invoke instances inside classes that can contain instances thereof.

# METHODS

addInvoke( $when, $cmd )

  Alias for `invoke` method.

notify( $when, $cmd )

  Alias for `invoke` method.

invoke( )

  This method is the getter for the full list of Pegasus::DAX::Invoke objects stored in this instance.

invoke( $when, $cmd )

  This method adds a simple executable instruction to run (on the submit host) when a job reaches the state in `$when`. Please refer to the constants `INVOKE_*` for details.

# SEE ALSO

Pegasus::DAX::AbstractJob
Pegasus::DAX::Executable
Pegasus::DAX::Transformation

  Classes requiring this interface.

# COPYRIGHT AND LICENSE

Copyright 2007-2011 University Of Southern California

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.